## nmapsi4 0.5~alpha2

=== CMakeLists.txt ===
PROJECT( nmapsi4 )

set(VERSION_MAJOR 0)
set(VERSION_MINOR 4)
set(VERSION_PATCH 80)
set(VERSION  ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

cmake_minimum_required(VERSION 2.8.2)

if (NOT WIN32 AND NOT APPLE)
    FIND_PACKAGE(Qt5 5.4.0 COMPONENTS
	Core 
	Widgets 
	Network 
	WebEngineWidgets
	DBus 
	Script 
	LinguistTools 
	Quick
	Qml
	Gui
	REQUIRED)
else (NOT WIN32 AND NOT APPLE)
    FIND_PACKAGE(Qt5 5.4.0
	COMPONENTS 
	Core 
	Widgets 
	Network 
	WebEngineWidgets
	Script 
	LinguistTools 
	Quick
	Qml
	Gui
	REQUIRED)
endif (NOT WIN32 AND NOT APPLE)

add_definitions (${QT5_DEFINITIONS})
include_directories(${QT5_USE_FILE})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-nmapsi4.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-nmapsi4.h )

add_definitions(-O2 -Wall -Wextra -g -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_URL_CAST_FROM_STRING)

if (WIN32)
    include(CMakeMinGWFindMake)
endif (WIN32)

if(APPLE)
    SET( CMAKE_OSX_ARCHITECTURES x86_64 )
    SET( MACOSX_BUNDLE_ICON_FILE ${PROJECT_SOURCE_DIR}/icons/nmapsi4.icns )
    set( MACOSX_BUNDLE_BUNDLE_NAME nmapsi4 )
    set( MACOSX_BUNDLE_GUI_IDENTIFIER "nmapsi4" )
    set( MACOSX_BUNDLE_INFO_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" ","
                                    " Copyright 2013 Francesco Cecconi" )
    set( MACOSX_BUNDLE_SHORT_VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}" )
    set( MACOSX_BUNDLE_LONG_VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )
    set( MACOSX_BUNDLE_BUNDLE_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )
    set( MACOSX_BUNDLE_COPYRIGHT "(C) 2013 Francesco Cecconi" )
endif(APPLE)

CONFIGURE_FILE( "${PROJECT_SOURCE_DIR}/cmake_uninstall.cmake.in"
                "${PROJECT_BINARY_DIR}/cmake_uninstall.cmake"
                IMMEDIATE @ONLY )

message("-------------------------------------------------------------------")
message(" Required for build:   qt5-dev (>>= 5.4.0) ")
message(" Required for runtime: nmap+nping ( >= 6.00 ), dig ")
message("-------------------------------------------------------------------")

add_subdirectory( src )

=== src/CMakeLists.txt ===


include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src/platform/
    ${CMAKE_SOURCE_DIR}/src/platform/logwriter/
    ${CMAKE_SOURCE_DIR}/src/platform/history/
    ${CMAKE_SOURCE_DIR}/src/platform/about/
    ${CMAKE_SOURCE_DIR}/src/platform/monitor/
    ${CMAKE_SOURCE_DIR}/src/platform/parser/
    ${CMAKE_SOURCE_DIR}/src/common/
    ${CMAKE_SOURCE_DIR}/src/app/
    ${CMAKE_SOURCE_DIR}/src/app/preference/
    ${CMAKE_SOURCE_DIR}/src/app/profiler/
    )


if (NOT WIN32 AND NOT APPLE)
QT5_ADD_DBUS_ADAPTOR(nmapsi4adaptor_SRCS
    dbus/org.nmapsi4.Nmapsi4.xml
    src/platform/monitor/monitor.h
    Monitor
    )
endif (NOT WIN32 AND NOT APPLE)

SET(SOURCES_CPP
    platform/selectprofiledialog.cpp
    platform/addvulnerabilityurl.cpp
    platform/vulnerability.cpp
    platform/lookupmanager.cpp
    platform/digmanager.cpp
    platform/nsemanager.cpp
    platform/discover.cpp
    platform/discovermanager.cpp
    platform/addparameterstobookmark.cpp
    platform/logwriter/logwriter.cpp
    platform/logwriter/logwriterxml.cpp
    platform/history/history.cpp
    platform/about/about.cpp
    platform/monitor/monitor.cpp
    platform/monitor/monitorhostscandetails.cpp
    platform/parser/parsermanager.cpp
    common/utilities.cpp
    common/pushbuttonorientated.cpp
    common/processthread.cpp
    common/pobjects.cpp
    common/notify.cpp
    common/package.cpp
    common/mouseeventfilter.cpp
    app/preference/preferencesdialog.cpp
    app/profiler/profilermanager.cpp
    app/profiler/profiler.cpp
    app/profilehandler.cpp
    app/mainwindow.cpp
    app/bookmarkmanager.cpp
    app/actionmanager.cpp
    app/qmlwelcome.cpp
    app/main.cpp
    )


if (NOT WIN32 AND NOT APPLE)
    SET(SOURCES_CPP ${SOURCES_CPP} ${nmapsi4adaptor_SRCS})
endif (NOT WIN32 AND NOT APPLE)

SET(SOURCES_MOC
    platform/lookupmanager.h
    platform/digmanager.h
    platform/addvulnerabilityurl.h
    platform/vulnerability.h
    platform/addparameterstobookmark.h
    platform/discover.h
    platform/discovermanager.h
    platform/nsemanager.h
    platform/selectprofiledialog.h
    platform/monitor/monitorhostscandetails.h
    platform/monitor/monitor.h
    platform/parser/parsermanager.h
    common/utilities.h
    common/processthread.h
    common/mouseeventfilter.h
    app/profiler/profilermanager.h
    app/profiler/profiler.h
    app/preference/preferencesdialog.h
    app/bookmarkmanager.h
    app/actionmanager.h
    app/profilehandler.h
    app/mainwindow.h
    app/qmlwelcome.h
    )

SET(SOURCES_UI
    platform/ui/addvulnerabilityurl.ui
    platform/ui/addparameterstobookmark.ui
    platform/ui/about.ui
    platform/ui/monitorhostscandetails.ui
    platform/ui/selectprofiledialog.ui
    app/ui/preferencesdialog.ui
    app/ui/profilerdialog.ui
    app/ui/discoverwidget.ui
    app/ui/scanbookmarkwidget.ui
    app/ui/vulnbookmarkwidget.ui
    app/ui/vulnerabilitywidget.ui
    app/ui/monitorwidget.ui
    app/ui/scanwidget.ui
    )

SET(RESOURCES_QRC
    images.qrc
    qml.qrc
    )

qt5_add_resources(RESOURCES_QRC_SOURCES  ${RESOURCES_QRC} )
qt5_wrap_ui(SOURCES_UI_H ${SOURCES_UI})
qt5_wrap_cpp(SOURCES_MOC_H ${SOURCES_MOC} )

SET(TRANSLATIONS_FILES
    ts/nmapsi4_it.ts
    ts/nmapsi4_fr.ts 
    ts/nmapsi4_es.ts 
    ts/nmapsi4_de.ts 
    ts/nmapsi4_cs.ts
    ts/nmapsi4_ru.ts 
    ts/nmapsi4_ca.ts
    )

qt5_add_translation(qms ${TRANSLATIONS_FILES})

INCLUDE_DIRECTORIES( ${QT5_INCLUDE_DIR} )

if (NOT WIN32 AND NOT APPLE)
    ADD_EXECUTABLE(nmapsi4 ${SOURCES_MOC} ${SOURCES_CPP} ${SOURCES_MOC_H} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
elseif(WIN32)
    ADD_EXECUTABLE(nmapsi4 WIN32 ${SOURCES_MOC} ${SOURCES_CPP} ${SOURCES_MOC_H} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
elseif(APPLE)
    MESSAGE( STATUS MAC Osx)
    ADD_EXECUTABLE(nmapsi4 MACOSX_BUNDLE ${SOURCES_MOC} ${SOURCES_CPP} ${SOURCES_MOC_H} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
    ADD_CUSTOM_COMMAND(TARGET nmapsi4 POST_BUILD
        COMMAND mkdir -p ARGS ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources
        COMMAND mkdir -p ARGS ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/MacOS
        COMMAND cp ARGS ${MACOSX_BUNDLE_ICON_FILE} ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources
        COMMAND cp ARGS *.qm ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources)
endif (NOT WIN32 AND NOT APPLE)

target_link_libraries(nmapsi4
    ${QT5_LIBRARIES}
    ${QT5_QTNETWORK_LIBRARY}
    Qt5::Widgets
    Qt5::WebEngineWidgets
    Qt5::DBus
    Qt5::Quick
    )

if (NOT WIN32 AND NOT APPLE)
    target_link_libraries(nmapsi4
        ${QT5_QTDBUS_LIBRARY}
        )
endif (NOT WIN32 AND NOT APPLE)

if (NOT WIN32 AND NOT APPLE)
    install(TARGETS nmapsi4 DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
    install(FILES ${qms} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/nmapsi4/locale)
    install(FILES "desktop/nmapsi4.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde4/)
    install(FILES "desktop/nmapsi4-admin.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde4/)
    install(FILES "dbus/org.nmapsi4.Nmapsi4.xml" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces/)
    install(FILES "../icons/32x32/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps/)
    install(FILES "../icons/64x64/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps/)
    install(FILES "../icons/128x128/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps/)
endif (NOT WIN32 AND NOT APPLE)

=== debian/changelog ===
nmapsi4 (0.5~alpha2-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:03:45 +1100

nmapsi4 (0.5~alpha2-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:04:33 +0000

nmapsi4 (0.5~alpha2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

  [Marcos Fouces]
  * Remove duplicate stanza in d/upstream/metadata.
  * Update d/copyright.

 -- Marcos Fouces <marcos@debian.org>  Thu, 09 Feb 2023 18:55:16 +0100

nmapsi4 (0.5~alpha2-3) unstable; urgency=medium

  * Update uploader email to @debian.org.
  * Bump to Standards-Version 4.5.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Thu, 11 Feb 2021 00:03:00 +0100

nmapsi4 (0.5~alpha2-2) unstable; urgency=medium

  * Rename docs => nmapsi4.docs
  * Add more doc files to package.
  * Update copyright dates.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Fri, 22 May 2020 17:50:04 +0200

nmapsi4 (0.5~alpha2-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

  [ Marcos Fouces ]
  * New upstream version 0.5~alpha2
  * Update Build-depends.
  * Bump to debhelper-compat 13.
  * Add dnsutils to Depends. It is needed to provide the dig command.
  * Add "Rules-Requires-Root: no" stanza in d/control.
  * Improve upstream metadata.
  * Bump to Standards-Version 4.5.0 (no changes needed).
  * Remove obsolete nmapsi4-logr manpage.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Thu, 14 May 2020 19:25:45 +0200

nmapsi4 (0.5~alpha1-3) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload.
  * Update team maintainer address to
    Debian Security Tools <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Marcos Fouces ]
  * Remove empty line on d/changelog.
  * Bump to dh compat level 11.
  * Add upstream metadata.
  * Bump to Standards-version 4.2.1 (no changes required).
  * Update copyright year.
  * Fix cross-building. Thanks to Helmut Grohne (Closes: #905610).

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Nov 2018 15:35:52 +0100

=== debian/control ===
Source: nmapsi4
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>
Build-Depends: debhelper-compat (=13), cmake (>= 2.6.0), qtbase5-dev, qtwebengine5-dev, qtscript5-dev, qtbase5-dev-tools, qttools5-dev-tools, qttools5-dev
Standards-Version: 4.6.2
Homepage: https://www.nmapsi4.org
Vcs-Git: https://salsa.debian.org/pkg-security-team/nmapsi4.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/nmapsi4
Rules-Requires-Root: no

Package: nmapsi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nmap, bind9-dnsutils
Description: graphical interface to nmap, the network scanner
 NmapSI4 is a complete Qt-based Gui with the design goal to provide a complete
 nmap interface for users, in order to manage all options of this power
 security net scanner.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@
	
override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ , filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/nmapsi4-$1\.tar\.gz/" \
https://github.com/nmapsi4/nmapsi4/tags .*/v?(\d\S*)\.tar\.gz

## nmapsi4 0.6~alpha1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,50 +1,52 @@
-PROJECT( nmapsi4 )
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 4)
+set(VERSION_MINOR 5)
 set(VERSION_PATCH 80)
 set(VERSION  ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
-set(CMAKE_CXX_STANDARD 11)
+PROJECT( nmapsi4 )
+
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-cmake_minimum_required(VERSION 2.8.2)
-
 if (NOT WIN32 AND NOT APPLE)
-    FIND_PACKAGE(Qt5 5.4.0 COMPONENTS
+    FIND_PACKAGE(Qt6 6.4.0 COMPONENTS
 	Core 
 	Widgets 
 	Network 
 	WebEngineWidgets
 	DBus 
-	Script 
+	#Script
 	LinguistTools 
 	Quick
 	Qml
 	Gui
+        Core5Compat
 	REQUIRED)
 else (NOT WIN32 AND NOT APPLE)
-    FIND_PACKAGE(Qt5 5.4.0
+    FIND_PACKAGE(Qt6 6.4.0
 	COMPONENTS 
 	Core 
 	Widgets 
 	Network 
 	WebEngineWidgets
-	Script 
+	#Script
 	LinguistTools 
 	Quick
 	Qml
 	Gui
+        Core5Compat
 	REQUIRED)
 endif (NOT WIN32 AND NOT APPLE)
 
-add_definitions (${QT5_DEFINITIONS})
-include_directories(${QT5_USE_FILE})
+add_definitions (${QT_DEFINITIONS})
+include_directories(${QT_USE_FILE})
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-nmapsi4.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-nmapsi4.h )
 
-add_definitions(-O2 -Wall -Wextra -g -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-O2 -Wall -Wextra -g -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_URL_CAST_FROM_STRING -DQT_NO_FOREACH -DQT_DISABLE_DEPRECATED_UP_TO=0x050F00)
 
 if (WIN32)
     include(CMakeMinGWFindMake)
@@ -68,7 +70,7 @@
                 IMMEDIATE @ONLY )
 
 message("-------------------------------------------------------------------")
-message(" Required for build:   qt5-dev (>>= 5.4.0) ")
+message(" Required for build:   qt6-dev (>>= 6.4.0) ")
 message(" Required for runtime: nmap+nping ( >= 6.00 ), dig ")
 message("-------------------------------------------------------------------")

=== debian/changelog ===
nmapsi4 (0.6~alpha1-1) unstable; urgency=medium

  * Team upload.

  [ Marcos Fouces ]
  * New upstream version 0.6~alpha1 (Closes: #1113329)
  * Update Build-Depends package list to use  Qt6.
  * Convert d/watch to version 5.

  [ Sven Geuer ]
  * d/p/*: Add patch lintian-warnings-on-nmapsi4-admin-desktop.patch.
  * d/control:
    - Remove redundant 'Rules-Requires-Root: no'.
    - Update Build-Depends regarding minimal cmake version.
    - Bump Standards-Version to 4.7.2.
  * d/copyright:
    - Bump packaging copyright years.
    - Correct license from GPL-2 to GPL-2+ as indicated by lrc.

 -- Sven Geuer <sge@debian.org>  Sun, 23 Nov 2025 19:58:38 +0100

=== debian/control ===
Source: nmapsi4
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>
Build-Depends: debhelper-compat (=13), cmake (>= 3.16.0), qt6-base-dev, qt6-webengine-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools, qt6-5compat-dev, libqt6core5compat6
Standards-Version: 4.7.2
Homepage: https://www.nmapsi4.org
Vcs-Git: https://salsa.debian.org/pkg-security-team/nmapsi4.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/nmapsi4

Package: nmapsi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nmap, bind9-dnsutils
Description: graphical interface to nmap, the network scanner
 NmapSI4 is a complete Qt-based Gui with the design goal to provide a complete
 nmap interface for users, in order to manage all options of this power
 security net scanner.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@
	
#override_dh_auto_configure:
#	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

=== debian/watch ===
Version: 5

Source: https://github.com/nmapsi4/nmapsi4.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Pgpmode: none
Uversionmangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
